/* Copyright (c) 2002-2012 Croteam Ltd. 
This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation


This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */

//{{NO_DEPENDENCIES}}
// Microsoft Developer Studio generated include file.
// Used by WorldEditor.rc
//
#define ID_LOAD_PREFERENCES             3
#define ID_SELECT_ALL                   3
#define ID_SAVE_GAME_SETTINGS           3
#define ID_GENERATE_TERRAIN_BRUSH       3
#define ID_SAVE_PREFERENCES             4
#define ID_DESELECT_ALL                 4
#define ID_RESTORE_GAME_SETTINGS        4
#define ID_SAVE_ANIMATION               4
#define ID_FEED_VOLUME                  4
#define ID_LOAD_ANIMATION               5
#define ID_REVERT                       5
#define ID_SAVE_AS_ANIMATION            6
#define ID_CLOSE                        7
#define ID_ADD_ANIMATION                8
#define ID_DELETE_ANIMATION             9
#define IDD_ABOUTBOX                    100
#define CG_IDD_BROWSEDIALOGBAR          102
#define CG_IDD_PROPERTYCOMBO            105
#define IDC_CUT_LINE                    105
#define IDC_MIRROR                      107
#define IDC_TE_HEIGHTMAP                108
#define IDC_TE_LAYER_PAINT              109
#define IDC_TE_ERASE                    110
#define IDC_TE_SMOOTH                   111
#define IDC_TE_RND_NOISE                112
#define IDC_TE_MIN                      113
#define IDC_TE_MAX                      114
#define IDC_TE_FLATTEN                  115
#define IDC_TE_POSTERIZE                116
#define IDC_TE_FILTER                   117
#define IDC_TE_PICK                     118
#define IDC_TE_CONTINOUS_NOISE          119
#define IDC_TE_TILE_PAINTING            120
#define IDR_MAINFRAME                   128
#define IDR_WEDTYPE                     129
#define IDR_SELECTION_TOOLS             129
#define IDR_WORK_TOOLS                  129
#define IDR_BROWSERPOPUP                130
#define IDS_DEFAULT_FONT                130
#define IDR_ICONS_STOCK                 130
#define IDD_CREATE_VIRTUAL_DIRECTORY    131
#define IDR_VTREEPOPUP                  131
#define IDR_PROJECTIONS                 131
#define IDS_WED_ARIAL_FONT              131
#define IDR_WED_POPUP                   132
#define IDR_CSG_TOOLS                   132
#define IDR_ENTITY_POPUP                132
#define IDB_DIRECTORY_ICONS             139
#define CG_IDD_INFOWINDOW               143
#define IDD_PREFERENCES                 145
#define IDD_REMOVE_WORKING_TEXTURE      147
#define IDD_TEST_MODE_DIALOG            148
#define IDD_CREATE_TEXTURE              148
#define IDD_CHOOSE_COLOR                149
#define IDD_PG_PRIMITIVE                150
#define IDD_PG_POSITION                 152
#define IDD_RENDERING_PREFERENCES       154
#define IDD_SELECT_BY_NAME              156
#define IDD_BACKGROUND_SETTINGS         157
#define IDD_WORLD_SETTINGS              157
#define IDD_AUTO_DELTA_CSG              158
#define IDD_PG_GLOBAL                   161
#define IDD_PROGRESS_DIALOG             162
#define IDD_PG_RENDERING_STATISTICS     163
#define IDD_PG_POLYGON                  164
#define IDD_GAME_SETTINGS               165
#define IDR_SETTINGS_AND_UTILITY        166
#define IDR_VIEW_TOOLS                  168
#define IDD_SELECT_PLAYER               177
#define IDD_DIALOG1                     178
#define IDD_TREE_SHORTCUTS              180
#define IDD_PG_SECTOR                   182
#define IDR_SHORTCUTS_POPUP             183
#define IDD_BROWSE_BY_CLASS             184
#define IDR_POLYGON_POPUP               184
#define IDD_FILE_REQUESTER              185
#define IDR_SECTOR_POPUP                185
#define IDD_TREE_SHORTCUTS1             186
#define IDR_CSG_PRIMITIVE_POPUP         186
#define IDD_LIGHT_ANIMATION_EDITOR      186
#define IDR_MIP_TOOLS                   187
#define IDR_CSG_TEMPLATE_POPUP          187
#define IDD_PG_TEXTURE                  195
#define IDR_THUMBNAIL_TEXTURE_POPUP     197
#define IDR_SHADOW_AND_TEXTURE          200
#define IDR_SHADOWS_AND_TEXTURE         200
#define IDR_SELECT_ENTITY               202
#define IDR_VIEW_TOOLS2                 203
#define IDR_COLOR_BUTTON                204
#define IDD_NUMERIC_ALPHA               205
#define IDR_PRIMITIVE_SETTINGS          206
#define IDD_PG_SHADOW                   206
#define IDR_ICON_CONUS                  207
#define IDR_ICON_TORUS                  208
#define IDR_ICON_SPIRAL_STAIRCASES      209
#define IDR_ICON_LINEAR_STAIRCASES      210
#define IDR_ICON_SPHERE                 211
#define IDD_MIRROR_AND_STRETCH          211
#define IDR_ICON_TERRAIN                212
#define IDD_FILTER_POLYGON_SELECTION    212
#define IDR_ICON_ADD                    213
#define IDR_INFO_POLYGON_POPUP          213
#define IDR_ICON_ADD_REVERSE            214
#define IDD_TIPOFTHEDAY                 214
#define IDR_VERTEX_POPUP                214
#define IDR_ICON_REMOVE                 215
#define IDB_TIPOFTHEDAY                 215
#define IDR_ICON_REMOVE_REVERSE         216
#define IDD_DISPLACE_MAP_SIZE           216
#define IDR_ICON_SPLIT_SECTORS          217
#define IDR_ICON_SPLIT_POLYGONS         218
#define IDR_ICON_JOIN_LAYERS            219
#define IDR_ICON_ROOM                   220
#define IDR_ICON_MATERIAL               221
#define IDR_ICON_INNER                  222
#define IDR_ICON_OUTER                  223
#define IDR_ICON_TOP_STAIRS             224
#define IDR_ICON_TOP_SLOPE              225
#define IDR_ICON_TOP_CEILING            226
#define IDR_ICON_BOTTOM_FLOOR           227
#define IDR_ICON_BOTTOM_SLOPE           228
#define IDR_ICON_BOTTOM_STAIRS          229
#define IDR_ICON_PANE_CSG               230
#define IDR_ICON_PANE_POLYGON           231
#define IDR_ICON_PANE_SECTOR            232
#define IDR_ICON_PANE_ENTITY            233
#define IDR_ICON_PANE_VERTEX            234
#define IDR_ICON_PANE_TERRAIN           235
#define IDR_STOCK                       236
#define IDD_COMMENT                     237
#define IDR_LINK_TREE_POPUP             237
#define IDR_TERRAIN_POPUP               238
#define IDD_LINK_TREE                   241
#define IDD_FILTER_VERTEX_SELECTION     244
#define IDD_SNAP_VERTEX                 245
#define IDD_ALLIGN_VERTICES             246
#define IDD_AUTO_TEXTURIZE              247
#define IDD_STRETCH_CHILD_OFFSET        248
#define IDD_DIALOG2                     249
#define IDD_DIALOG3                     250
#define IDD_PG_TERRAIN                  251
#define IDD_EDIT_TERRAIN_BRUSH          252
#define IDD_EDIT_FLOAT                  253
#define IDD_TERRAIN_SIZE                255
#define IDD_BCG_PICTURE_SIZE            255
#define IDD_TERRAIN_HEIGHTMAP_SIZE      256
#define IDD_EDIT_TERRAIN_LAYER          257
#define IDD_TE_OPTION_SETTINGS          258
#define IDD_TERRAIN_PROPERTIES          261
#define IDD_GENERATE_FBM                262
#define IDC_VIRTUALTREE                 1000
#define IDC_LIST1                       1000
#define IDC_BROWSEWND                   1002
#define IDC_EDIT1                       1003
#define IDC_TOP_VIEW_HEIGHT             1004
#define IDC_DIRECTORY_ICON_LIST         1005
#define IDC_FRONT_VIEW_HEIGHT           1005
#define IDC_RIGHT_VIEW_HEIGHT           1006
#define IDC_TOP_VIEW_CENTER_X           1007
#define IDC_TOP_VIEW_CENTER_Y           1008
#define IDW_BROWSER                     1009
#define IDC_FRONT_VIEW_CENTER_X         1009
#define IDW_COLOR_PALETTE               1010
#define IDC_FRONT_VIEW_CENTER_Y         1010
#define IDC_PROPERTYCOMBO               1011
#define IDC_RIGHT_VIEW_CENTER_X         1011
#define IDW_ACTIVE_TEXTURE              1012
#define IDC_RIGHT_VIEW_CENTER_Y         1012
#define IDW_ANIMATION_FRAMES            1013
#define IDW_THUMBNAIL                   1013
#define ID_OK_BUTTON                    1014
#define IDW_TEST_EFFECT_TEXTURE         1014
#define IDC_BUTTON1                     1015
#define IDC_BROWSE_FILE                 1015
#define IDC_BROWSE_EFFECT_TEXTURE       1015
#define IDC_SETINGS_STORE               1015
#define IDC_BROWSE_HYPER_TEXTURE        1015
#define IDC_DISPLACE_BROWSE             1015
#define IDC_ALLIGN_X                    1015
#define IDC_VIEW_NOISE_TEXTURE          1015
#define IDC_FBM_RANDOMIZE               1015
#define IDC_BUTTON2                     1016
#define IDC_OK                          1016
#define IDC_DELETE_MARKER               1016
#define IDC_SETINGS_RESTORE             1016
#define IDC_BROWSE_TOP_VIEW_PICTURE     1016
#define IDC_REMOVE_HYPER_TEXTURE        1016
#define IDC_DISPLACE_NONE               1016
#define IDC_NO_FILE                     1016
#define IDC_ALLIGN_Y                    1016
#define IDC_BROWSE_CONTINOUS_NOISE      1016
#define IDC_FBM_EXPORT                  1016
#define IDC_BUTTON3                     1017
#define IDC_BASE_VERTICES               1017
#define IDC_CANCEL                      1017
#define IDC_DELETE_EFFECT_TEXTURE       1017
#define IDC_EDIT3                       1017
#define IDC_BROWSE_FRONT_VIEW_PICTURE   1017
#define IDC_NO_TARGET                   1017
#define IDC_ALLIGN_Z                    1017
#define IDC_BROWSE_DISTRIBUTION_NOISE   1017
#define IDC_BUTTON4                     1018
#define IDC_WIDTH                       1018
#define IDC_SCROLL_RIGHT                1018
#define IDC_BROWSE_RIGHT_VIEW_PICTURE   1018
#define IDC_VIEW_DISTRIBUTION_NOISE_TEXTURE 1018
#define IDC_BUTTON5                     1019
#define IDC_HEIGHT                      1019
#define IDC_SCROLL_LEFT                 1019
#define IDC_GENERATION_SETTINGS         1019
#define IDC_BUTTON6                     1020
#define IDC_LENGHT                      1020
#define IDC_SCROLL_PG_LEFT              1020
#define IDC_BUTTON7                     1021
#define IDC_SHEARX                      1021
#define IDC_SCROLL_PG_RIGHT             1021
#define IDC_BUTTON8                     1022
#define IDC_SHEARZ                      1022
#define IDC_EDIT2                       1022
#define IDC_BUTTON9                     1023
#define IDC_JOIN_ON_TOP                 1023
#define IDC_BUTTON10                    1024
#define IDC_CLOSED                      1024
#define IDC_BUTTON11                    1025
#define IDC_APPLY                       1025
#define IDC_STRETCH                     1025
#define IDC_STRETCH_X                   1025
#define IDC_EDIT4                       1025
#define IDC_STRETCH_U                   1025
#define IDC_BUTTON12                    1026
#define IDC_RENDERING_PREFS01           1026
#define IDC_STRETCH_Y                   1026
#define IDC_EDIT5                       1026
#define IDC_SHEAR_U                     1026
#define IDC_SHEAR                       1026
#define IDC_ROTATION_V                  1026
#define IDC_BUTTON13                    1027
#define IDC_RENDERING_PREFS02           1027
#define IDC_VERTEX_FILL_TYPE            1027
#define IDC_DIRECTIONAL_SHADOWS         1027
#define IDC_STRENGTH                    1027
#define IDC_AUTO_CREATE_MIP_BRUSHES     1027
#define IDC_BUTTON14                    1028
#define IDC_RENDERING_PREFS03           1028
#define IDC_EDGES_FILL_TYPE             1028
#define IDC_BUTTON15                    1029
#define IDC_RENDERING_PREFS04           1029
#define IDC_POLYGON_FILL_TYPE           1029
#define IDC_BUTTON16                    1030
#define IDC_RENDERING_PREFS05           1030
#define IDC_VERTEX_COLORS               1030
#define IDC_BUTTON17                    1031
#define IDC_RENDERING_PREFS06           1031
#define IDC_BBOX                        1031
#define IDC_BUTTON18                    1032
#define IDC_RENDERING_PREFS07           1032
#define IDC_SHADOWS                     1032
#define IDC_EDIT_HEADING                1032
#define IDC_BUTTON19                    1033
#define IDC_RENDERING_PREFS08           1033
#define IDC_WIRE_FRAME                  1033
#define IDC_EDIT_PITCH                  1033
#define IDC_BUTTON20                    1034
#define IDC_RENDERING_PREFS09           1034
#define IDC_HIDEN_LINES                 1034
#define IDC_EDIT_BANKING                1034
#define IDC_BUTTON21                    1035
#define IDC_TEXTURE_FILL_TYPE           1035
#define IDC_RENDERING_PREFS10           1035
#define IDC_STATIC_HEADING              1035
#define IDC_SELECTED_POLYGONS           1035
#define IDC_BUTTON22                    1036
#define IDC_STATIC_PITCH                1036
#define IDC_SELECTED_SECTORS            1036
#define IDC_FLARE_FX                    1036
#define IDC_BUTTON23                    1037
#define IDC_STATIC_BANKING              1037
#define IDC_SELECTED_ENTITIES           1037
#define IDC_POLYGONS_IN_SECTORS         1037
#define IDC_APPLY_CLIP_FOR_ISOMETRIC    1037
#define IDC_BUTTON24                    1038
#define IDC_EDIT_X                      1038
#define IDC_EDGES_IN_SECTORS            1038
#define IDC_BUTTON25                    1039
#define IDC_EDIT_Y                      1039
#define IDC_VERTICES_IN_SECTORS         1039
#define IDC_BUTTON26                    1040
#define IDC_EDIT_Z                      1040
#define IDC_PLANES_IN_SECTORS           1040
#define IDC_BUTTON27                    1041
#define IDC_STATIC_X                    1041
#define IDC_API                         1041
#define IDC_BUTTON28                    1042
#define IDC_STATIC_Y                    1042
#define IDC_TERRAIN_SELECTON_VISIBLE    1042
#define IDC_BUTTON29                    1043
#define IDC_STATIC_Z                    1043
#define IDC_RENDERING_RANGE             1043
#define IDC_TERRAIN_SELECTION_HIDDEN    1043
#define IDC_BUTTON30                    1044
#define IDC_UNDO_LEVELS                 1044
#define IDC_FAR_CLIP_PLANE              1044
#define IDC_BUTTON31                    1045
#define IDC_USE_BCG_PICTURE             1045
#define IDC_CSG_PRECISSION              1045
#define IDC_BUTTON32                    1046
#define IDC_CHECK1                      1046
#define IDC_RENDER_EDITOR_MODELS        1046
#define IDC_IS_PORTAL                   1046
#define IDC_USE_TEXTURE_FOR_BACKGROUND  1046
#define IDC_CLAMP_U                     1046
#define IDC_SHOWTIPSATSTARTUP           1046
#define IDC_DISPLAY_VOLUME              1046
#define IDC_EDIT_DISPLACE_MIDPIXELSAMPLING 1046
#define IDC_LT_CLASS                    1046
#define IDC_EXPAND_EDGES                1046
#define IDC_AUTO_GENERATE_LAYER_DISTRIBUTION 1046
#define IDC_ADD_NEGATIVE_VALUES         1046
#define IDC_TEXTURE_INFO                1047
#define IDC_AUTO_RENDERING_RANGE        1047
#define IDC_IS_PASSABLE                 1047
#define IDC_CLAMP_V                     1047
#define IDC_EDIT_DISPLACE_16BITRESOLUTION 1047
#define IDC_LT_PROPERTY                 1047
#define IDC_DISPLAY_IMPORTANTS          1047
#define IDC_RANDOM_OFFSET               1047
#define ID_SECTOR_COLOR                 1048
#define IDC_USE_TEXTURE_FOR_BCG         1048
#define IDC_REFLECTIVE                  1048
#define IDC_STAIRS                      1048
#define IDC_LT_NAME                     1048
#define ID_SECTOR_COLOR2                1049
#define ID_POLYGON_COLOR                1049
#define ID_COLOR_OF_POLYGONS_IN_SECTORS 1049
#define ID_COMBINE_COLOR                1049
#define IDC_RENDER_FIELDS               1049
#define ID_VISIBILITY_FLAGS             1049
#define IDC_LT_WHO                      1049
#define IDC_SHOOTTROUGH                 1049
#define IDC_EASY                        1050
#define IDC_IS_TRANSLUSCENT             1050
#define ID_SELECT_POLIGONS_IN_SECTORS   1050
#define IDC_AFTER_SHADOW                1050
#define IDC_RENDER_MIRRORS              1050
#define ID_CLASSIFICATION_FLAGS         1050
#define IDC_EDIT_SELECTION              1051
#define IDC_EDIT_ENUM                   1051
#define IDC_INVISIBLE                   1051
#define IDC_RENDER_FOG                  1051
#define IDC_MEDIUM                      1052
#define IDC_NORMAL                      1052
#define IDC_RENDER_HAZE                 1052
#define IDC_IS_RECEIVING_SHADOWS2       1052
#define IDC_DOUBLESIDED                 1052
#define IDC_HARD                        1053
#define IDC_HAS_DIRECTIONAL_SHADOWS2    1053
#define IDC_EXTREME                     1054
#define IDC_CLAMP_TEXTURE               1054
#define IDC_SINGLE                      1055
#define ID_SHADOW_COLOR                 1055
#define IDC_CLAMP_U2                    1055
#define IDC_COOPERATIVE                 1056
#define IDC_IS_DETAIL                   1056
#define IDC_DEATHMATCH                  1057
#define IDC_IS_OLD_PORTAL               1057
#define IDC_EDIT_BOOL                   1058
#define IDC_DYNAMIC_LIGHTS_ONLY2        1058
#define IDC_IS_OCCLUDER                 1058
#define IDC_EDIT_STRING                 1059
#define IDC_IF_SPIRAL                   1059
#define IDC_NO_DYNAMIC_LIGHTS2          1059
#define IDC_IS_TRANSPARENT              1059
#define IDC_EDIT_FLOAT                  1060
#define IDC_IF_OUTER                    1060
#define IDC_HAS_PRECISE_SHADOWS2        1060
#define IDC_EDIT_FLOAT_RANGE            1061
#define IDC_EDIT_DESCRIPTION_T          1061
#define IDC_FLOAT_RANGE_T               1061
#define IDC_HAS_DIRECTIONAL_AMBIENT2    1061
#define IDC_EDIT_COLOR                  1062
#define IDC_DARK_CORNERS2               1062
#define IDC_ENTITY_LIST                 1063
#define IDC_CHOOSE_COLOR_T              1063
#define IDC_CLAMP_V2                    1063
#define IDC_FILE_NAME_T                 1064
#define IDC_REFLECTIVE2                 1064
#define IDC_EASY_T                      1065
#define IDC_AFTER_SHADOW2               1065
#define IDC_NORMAL_T                    1066
#define IDC_HARD_T                      1067
#define IDC_EXTREME_T                   1068
#define IDC_SINGLE_T                    1069
#define IDC_COOPERATIVE_T               1070
#define IDC_DEATHMATCH_T                1071
#define IDC_PICTURE_FILE_T              1072
#define IDC_EDIT_INDEX                  1072
#define ID_REMOVE                       1073
#define IDC_BACKGROUND_COLOR            1073
#define IDC_INDEX_RANGE_T               1073
#define IDC_EDIT_BBOX_MIN               1074
#define IDC_TOP_VIEW_PICTURE_T          1074
#define ID_LEAVE                        1074
#define IDC_EDIT_BBOX_MAX               1075
#define IDC_FRONT_VIEW_PICTURE_T        1075
#define IDC_RENDERING_STATISTICS        1076
#define IDC_RIGHT_VIEW_PICTURE_T        1076
#define IDC_DIFFICULTY_1                1076
#define IDC_EDIT_U                      1077
#define IDC_ADD_TO_BROWSER              1077
#define IDC_BACKDROP_OBJECT_T           1077
#define IDC_DIFFICULTY_1_T              1077
#define IDC_EDIT_V                      1078
#define IDC_SOURCE_SIZE                 1078
#define IDC_DIFFICULTY_2                1078
#define IDC_STATIC_U                    1079
#define IDC_CREATED_SIZE                1079
#define IDC_DIFFICULTY_2_T              1079
#define IDC_DIFFICULTY_1_T2             1079
#define IDC_STATIC_V                    1080
#define IDC_STATIC_STRETCH              1080
#define IDC_DIFFICULTY_3                1080
#define IDC_STATIC_ROTATION             1081
#define IDC_DIFFICULTY_3_T              1081
#define IDC_DIFFICULTY_2_T2             1081
#define IDC_SPIN1                       1082
#define IDC_DIFFICULTY_4                1082
#define IDC_NO_OF_CLONES                1083
#define IDC_STRETCH_V                   1083
#define IDC_DIFFICULTY_4_T              1083
#define IDC_DIFFICULTY_3_T2             1083
#define IDC_STATIC_SHEAR                1084
#define IDC_STATIC_ROTATION_SHEAR       1084
#define IDC_DIFFICULTY_5                1084
#define IDC_DIFFICULTY_5_T              1085
#define IDC_DIFFICULTY_4_T2             1085
#define IDC_GAME_MODE_1                 1086
#define IDC_DIFFICULTY_5B               1086
#define IDC_PROGRESS_MESSAGE            1087
#define IDC_GAME_MODE_1_T               1087
#define IDC_DIFFICULTY_5_T2             1087
#define IDC_PROGRESS                    1088
#define IDC_CREATED_TEXTURE_NAME_T      1088
#define IDC_GAME_MODE_2                 1088
#define IDC_GAME_MODE_2_T               1089
#define IDC_GAME_MODE_1_T2              1089
#define IDC_MISSION_DESCRIPTION         1090
#define IDC_GAME_MODE_3                 1090
#define IDC_MATERIAL_COMBO              1091
#define IDC_CLUSTER_SIZE_COMBO          1091
#define IDC_GAME_MODE_3_T               1091
#define IDC_GAME_MODE_2B                1091
#define IDC_STATIC_MATERIAL             1092
#define IDC_STATIC_CLUSTER_SIZE         1092
#define IDC_GAME_MODE_4                 1092
#define IDC_GAME_MODE_2_T2              1092
#define IDC_FRICTION_COMBO              1093
#define IDC_GAME_MODE_4_T               1093
#define IDC_GAME_MODE_3B                1093
#define IDC_STATIC_FRICTION             1094
#define IDC_SURFACE_FRICTION            1094
#define IDC_GAME_MODE_5                 1094
#define IDC_GAME_MODE_3_T2              1094
#define IDC_EFFECT_COMBO                1095
#define IDC_SURFACE_NAME_COMBO          1095
#define IDC_STATIC_SHADOW_BLEND         1095
#define IDC_STATIC_MIRROR               1095
#define IDC_GAME_MODE_5_T               1095
#define IDC_GAME_MODE_4B                1095
#define IDC_STATIC_EFFECT               1096
#define IDC_EFFECT_TEXTURE              1096
#define IDC_SHADOW_BLEND_COMBO          1096
#define IDC_MIRROR_COMBO                1096
#define IDC_GAME_MODE_6                 1096
#define IDC_GAME_MODE_4_T2              1096
#define IDC_ILLUMINATION_COMBO          1097
#define IDC_GAME_MODE_6_T               1097
#define IDC_GAME_MODE_5B                1097
#define IDC_STATIC_PRETENDER_DISTANCE   1097
#define IDC_STATIC_ILLUMINATION         1098
#define IDC_EFFECT_NAME_COMBO           1098
#define IDC_GAME_MODE_5_T2              1098
#define IDC_LIGHT_ANIMATION_SPEED       1099
#define IDC_STATIC_SCROLL               1099
#define IDC_GAME_MODE_6B                1099
#define IDC_LIGHT_ANIMATION_NAME_COMBO  1100
#define IDC_SCROLL_COMBO                1100
#define IDC_GAME_MODE_6_T2              1100
#define IDC_LIGHT_ANIMATION_FRAMES      1101
#define IDC_HYPER_MAP_T                 1101
#define IDC_STATIC_BLEND                1101
#define IDC_FRAMES_SPIN                 1102
#define IDC_BLEND_TYPE                  1102
#define IDC_ILLUMINATION_NAMES_COMBO    1103
#define IDC_LIGHT_ANIMATION_NAME        1103
#define IDC_CURRENT_FRAME               1105
#define IDC_FRAMES_AREA                 1106
#define IDC_TEST_AREA                   1107
#define IDC_AXIS_X                      1108
#define IDC_EFFECT_TEXTURE_ANIMATION_COMBO 1109
#define IDC_AXIS_Y                      1109
#define IDC_COMBO_AVAILABLE_PLAYERS     1109
#define IDC_TEST_EFFECT_TEXTURE         1110
#define IDC_AXIS_Z                      1110
#define IDC_ENTITY_CLASS                1111
#define IDC_SHORTCUT01                  1112
#define IDC_ENTITIES_IN_VOLUME_T        1113
#define IDC_SHORTCUT02                  1113
#define IDC_SHORTCUT03                  1114
#define IDC_R_OR_H                      1114
#define IDC_SHORTCUT04                  1115
#define IDC_G_OR_S                      1115
#define IDC_SHORTCUT05                  1116
#define IDC_B_OR_V                      1116
#define IDC_SHORTCUT06                  1117
#define IDC_ENTITY_CLASS_DESCRIPTION    1117
#define IDC_ENTITY_NAME                 1117
#define IDC_SHORTCUT07                  1118
#define IDC_PREFS_COPY                  1118
#define IDC_ENTITY_DESCRIPTION          1118
#define IDC_SHORTCUT08                  1119
#define IDC_PREFS_MAXIMIZE              1119
#define IDC_SHORTCUT09                  1120
#define IDC_PREFS_UPDATE_ALLWAYS        1120
#define IDC_SHORTCUT10                  1121
#define IDC_PREFS_AUTOMATIC_INFO        1121
#define IDC_PREFS_SET_DEFAULT_COLORS    1122
#define IDC_BOTTOM_SHAPE                1122
#define IDC_PAPER_COLOR                 1123
#define IDC_PREFS_BINARY_GRID_BY_DEFAULT 1123
#define IDC_TOP_SHAPE                   1123
#define IDC_INK_COLOR                   1124
#define IDC_EDGES_COLORS                1124
#define IDC_EDIT1_T                     1124
#define IDC_PREFS_SAVE_UNDO_FOR_DELETE  1124
#define IDC_POLYGON_COLORS              1125
#define IDC_EDIT2_T                     1125
#define IDC_PREFS_AUTO_COLORIZE         1125
#define IDC_SELECTION_COLOR             1126
#define IDC_EDIT3_T                     1126
#define IDC_PREFS_SHOW_ALL_ON_OPEN      1126
#define IDC_GRID_COLOR                  1127
#define IDC_EDIT4_T                     1127
#define IDC_PREFS_AUTO_UPDATE_DISPLACEMAP 1127
#define IDC_EDIT5_T                     1128
#define IDC_PREFS_HIDE_SHADOWS_ON_START 1128
#define IDC_COMBO_WIN_BCG_TEXTURE       1129
#define IDC_WIDTH_T                     1129
#define IDC_PREFS_AUTO_GENERATE_TD      1129
#define IDC_ADD_WORKING_TEXTURE         1130
#define IDC_LENGHT_T                    1130
#define IDC_REMOVE_WORKING_TEXTURE      1131
#define IDC_HEIGHT_T                    1131
#define IDC_WED_STARTUP_MODE            1132
#define IDC_CHANGE_APPLICATION_DISPLAY_MODE 1132
#define IDC_IF_ROOM                     1132
#define IDC_FULL_SCREEN_MODE            1133
#define IDC_CHANGE_FULL_SCREEN_DISPLAY_MODE 1133
#define IDC_TOP_VIEW_WIDTH              1133
#define IDC_PRIMITIVE_HISTORY           1133
#define IDC_TEST_STARTUP_MODE           1134
#define IDC_FRONT_VIEW_WIDTH            1134
#define IDC_TEST_FULL_SCREEN_MODE       1135
#define IDC_RIGHT_VIEW_WIDTH            1135
#define IDC_BROWSE_BACKGROUND_PICTURE   1136
#define IDC_BROWSE_BACKDROP_OBJECT      1137
#define IDC_TEXTURE_FILE_T              1137
#define IDC_RADIO_TEXTURE               1138
#define IDC_TEXTURE_2                   1139
#define IDC_TEXTURE_3                   1140
#define IDC_TEXTURE_4                   40001
#define IDC_TEXTURE_5                   40002
#define IDC_OFFSET_U                    1141
#define IDC_OFFSET_V                    1142
#define IDC_ROTATION                    1143
#define IDC_ROTATION_U                  1143
#define IDC_BROWSE_TEXTURE              1144
#define IDC_REMOVE_TEXTURE              1145
#define IDC_STATIC_OFFSET               1146
#define IDC_PREVIEW_FRAME               1147
#define IDC_DISPLACE_FILE               1149
#define IDC_TEXTURE_DIM_T               1149
#define IDC_DISPLACE_T                  1150
#define IDC_ANGLE3D_T                   1151
#define ID_CENTER                       1153
#define ID_DELETE_BROWSE_BY_CLASS       1153
#define IDC_STATIC_SHADOW_COLOR         1154
#define ID_SELECT_SECTORS               1154
#define IDC_ALPHA                       1155
#define IDC_STATIC_CONTENT_TYPE_T       1156
#define IDC_CONTENT_TYPE_COMBO          1157
#define IDC_STATIC_SECTOR_NAME          1158
#define IDC_SECTOR_NAME                 1159
#define IDC_AMBIENT_COLOR_T             1160
#define IDC_STATIC_FORCE_FIELD_T        1161
#define ID_APPLY                        1161
#define IDC_FORCE_FIELD_COMBO           1162
#define IDC_MIRROR_NONE                 1162
#define IDC_MIRROR_X                    1163
#define IDC_STATIC_FOG_T                1163
#define IDC_FOG_COMBO                   1164
#define IDC_IS_TRANSLUSCENT2            1164
#define IDC_STATIC_HAZE_T               1165
#define IDC_IS_PORTAL2                  1165
#define IDC_MIRROR_Y                    1166
#define IDC_HAZE_COMBO                  1166
#define IDC_IS_PASSABLE2                1166
#define IDC_MIRROR_Z                    1167
#define IDC_INVISIBLE2                  1167
#define IDC_STATIC_GRADIENT_T           1167
#define IDC_STATIC_GRADIENT             1167
#define IDC_STATIC_ENVIRONMENT_TYPE_T   1167
#define IDC_IS_DETAIL2                  1168
#define IDC_GRADIENT_COMBO              1168
#define IDC_STATIC_ENVIRONMENT_TYPE     1168
#define IDC_IS_OLD_PORTAL2              1169
#define IDC_IS_LIGHT_BEAM_PASSABLLE2    1170
#define IDC_NO_SHADOW2                  1171
#define IDC_NO_PLANE_DIFFUSION2         1172
#define IDC_BCG_PICTURE_T               1173
#define IDC_IS_OCCLUDER2                1173
#define IDC_BROWSE_BCG_PICTURE          1174
#define IDC_WND_STARTUP_CFG             1175
#define IDC_NEXTTIP                     1176
#define IDC_FLY_MODE_SPEED              1176
#define IDC_COMBO1                      1178
#define IDC_PREVTIP                     1178
#define IDC_COMBO2                      1179
#define IDC_TIPTEXT                     1179
#define IDC_EDIT_LEVEL_NAME             1180
#define IDC_GAME_MODE_1B                1181
#define IDC_DIFFICULTY_1B               1182
#define IDC_DIFFICULTY_2B               1183
#define IDC_DIFFICULTY_3B               1184
#define IDC_DIFFICULTY_4B               1185
#define IDC_EDIT_DISPLACE_X_SIZE        1186
#define IDC_EDIT_DISPLACE_Y_SIZE        1187
#define IDC_PRETENDER_DISTANCE          1187
#define IDC_EDIT_SS_PROJECT             1189
#define IDC_COMMENT                     1190
#define IDC_MEMORY_FOR_UNDO             1190
#define IDC_STATIC_SOURCE_SAFE_PROJECT  1191
#define IDC_STATIC_SOURCE_SAFE_BORDER   1192
#define IDC_FILTER_CLUSTER_SIZE         1193
#define IDC_MISC_BORDER                 1193
#define IDC_FILTER_CLUSTER_MEMORY       1194
#define ID_FLAGS_PROPERTY               1194
#define IDC_CSG_PRECISSION_T            1195
#define IDC_FILTER_POLYGON_SURFACE      1195
#define IDC_PLUGGINS                    1196
#define IDC_FILTER_POLYGON_MIRROR       1196
#define IDC_PLUGGINS_T                  1197
#define IDC_LINK_TREE                   1198
#define IDC_SECTOR_INCLUDE              1199
#define IDC_SECTOR_EXCLUDE              1200
#define IDC_MIN_H                       1200
#define IDC_MIN_P                       1201
#define IDC_VTX_SNAP_X                  1201
#define IDC_VTX_SNAP_Y                  1202
#define IDC_MAX_H                       1203
#define IDC_VTX_SNAP_Z                  1203
#define IDC_MAX_P                       1204
#define IDC_PRETENDER_TEXTURE_SIZE      1204
#define IDC_PRETENDER_TEXTURE_STYLE     1205
#define IDC_CHILD_STRETCH               1205
#define IDC_MIN_X                       1206
#define IDC_MIN_Y                       1207
#define IDC_MIN_Z                       1208
#define IDC_MAX_X                       1209
#define IDC_MAX_Y                       1210
#define IDC_MAX_Z                       1211
#define IDW_TERRAIN_INTERFACE           1212
#define IDC_FALLOFF                     1212
#define IDC_HOTSPOT                     1213
#define IDC_IMPORT_TERRAIN_BRUSH        1214
#define IDC_TRL_LAYER_NAME              1214
#define IDC_EDIT_FLOAT_T                1215
#define IDC_TRL_OFFSET_X                1215
#define IDC_TERRAIN_WIDTH               1216
#define IDC_TRL_OFFSET_Y                1216
#define IDC_TERRAIN_HEIGHT              1217
#define IDC_TRL_STRETCH_X               1217
#define IDC_TERRAIN_LENGTH              1218
#define IDC_TRL_STRETCH_Y               1218
#define IDC_HEIGHTMAP_WIDTH             1219
#define IDC_HEIGHTMAP_HEIGHT            1220
#define IDC_TRL_ROTATE_U                1221
#define IDC_TERRAIN_LOD_SWITCH          1221
#define IDC_TRL_ROTATE_V                1222
#define IDC_TERRAIN_FIRST_TOPMAP_LOD    1222
#define IDC_TRL_ALTITUDE_MIN            1223
#define IDC_TRL_ALTITUDE_MAX            1224
#define IDC_TRL_ALTITUDE_MIN_FADE       1225
#define IDC_TRL_ALTITUDE_MAX_FADE       1226
#define IDC_TRL_SLOPE_MIN               1227
#define IDC_TRL_SLOPE_MAX               1228
#define IDC_TRL_SLOPE_MIN_FADE          1229
#define IDC_TRL_SLOPE_MAX_FADE          1230
#define IDC_TRL_LAYER_COVERAGE          1231
#define IDC_TRL_ALTITUDE_MIN_NOISE      1232
#define IDC_TRL_ALTITUDE_MAX_NOISE      1233
#define IDC_APPLY_MIN_ALTITUDE_DISTRIBUTION 1234
#define IDC_APPLY_MAX_ALTITUDE_DISTRIBUTION 1235
#define IDC_PAINT_POWER                 1235
#define IDC_TRL_COVERAGE_FADE           1236
#define IDC_SMOOTH_POWER                1236
#define IDC_TRL_SLOPE_MIN_NOISE         1237
#define IDC_EQUALIZE_VALUE              1237
#define IDC_TRL_SLOPE_MAX_NOISE         1238
#define IDC_POSTERIZE_STEP              1238
#define IDC_APPLY_MIN_SLOPE_DISTRIBUTION 1239
#define IDC_NOISE_STRENGTH              1239
#define IDC_APPLY_MAX_SLOPE_DISTRIBUTION 1240
#define IDC_FILTER_POWER                1241
#define IDC_FILTER_COMBO                1242
#define IDC_GENERATION_ALGORITHM        1243
#define IDC_CONTINOUS_NOISE_T           1245
#define IDC_DISTRIBUTION_NOISE_T        1246
#define IDC_SHADING_MAP                 1246
#define IDC_SHADOW_MAP                  1247
#define IDC_TERRAIN_PRETENDER           1248
#define IDC_SHADOW_MAP_T                1249
#define IDC_SHADING_MAP_T               1250
#define IDC_TERRAIN_PRETENDER_T         1251
#define IDC_HEIGHTIMAP_SIZE_T           1252
#define IDC_TERRAIN_HM_WIDTH            1253
#define IDC_TERRAIN_HM_HEIGHT           1254
#define IDC_TERRAIN_QUADS_PER_TILE      1255
#define IDC_TILE_PRETENDER              1256
#define IDC_TILE_PRETENDER_T            1257
#define IDC_FBM_OCTAVES                 1257
#define IDC_TERRAIN_MEMORY_T            1258
#define IDC_FBM_OCTAVE_STEP             1258
#define IDC_LAYER_MEMORY_T              1259
#define IDC_FBM_MAX_ALTITUDE            1259
#define IDC_TERRAIN_EDGE_MEMORY_T       1260
#define IDC_FBM_OCTAVE_AMPLITUDE_DECREASE 1260
#define IDC_FBM_HIGH_FREQUENCY_STEP     1261
#define IDC_CT_OCTAVES_SPIN             1262
#define IDC_GLOBAL_PRETENDER            1263
#define IDC_BCG_PICTURE_SIZE            1264
#define IDC_FBM_PREVIEW_FRAME           1284
#define IDC_IS_LIGHT_BEAM_PASSABLLE     11048
#define IDC_NO_SHADOW                   11049
#define IDC_IS_RECEIVING_SHADOWS        11050
#define IDC_HAS_DIRECTIONAL_SHADOWS     11052
#define IDC_NO_PLANE_DIFFUSION          11054
#define IDC_DYNAMIC_LIGHTS_ONLY         11056
#define IDC_NO_DYNAMIC_LIGHTS           11057
#define IDC_HAS_PRECISE_SHADOWS         11058
#define IDC_HAS_DIRECTIONAL_AMBIENT     11059
#define IDC_DARK_CORNERS                11060
#define IDC_APPLY_GRADIENT              11061
#define ID_SAVE_VIRTUAL_TREE            32771
#define ID_LOAD_VIRTUAL_TREE            32772
#define ID_DELETE_DIRECTORY             32773
#define ID_INSERT_DIRECTORY             32774
#define ID_CREATE_DIRECTORY             32775
#define ID_INSERT_OBJECTS               32777
#define ID_RENAME_DIRECTORY             32778
#define ID_VIRTUAL_TREE                 32779
#define ID_INSERT_ITEMS                 32780
#define ID_SMALL_ICONS                  32781
#define ID_BIG_ICONS                    32782
#define ID_DELETE_ITEMS                 32785
#define ID_MEDIUM_ICONS                 32786
#define ID_SHOW_DESCRIPTION             32787
#define ID_SHOW_FILENAME                32788
#define ID_VIEW_INFOWINDOW              32790
#define ID_FILE_PREFERENCES             32791
#define ID_CHOOSE_COLOR                 32792
#define ID_LOAD_BAR_STATUSES            32793
#define ID_CREATE_PRIMITIVE             32794
#define ID_SAVE_THUMBNAIL               32801
#define ID_ISOMETRIC_TOP                32802
#define ID_ISOMETRIC_BOTTOM             32803
#define ID_ISOMETRIC_RIGHT              32804
#define ID_ISOMETRIC_LEFT               32805
#define ID_ISOMETRIC_FRONT              32806
#define ID_ISOMETRIC_BACK               32807
#define ID_PERSPECTIVE                  32808
#define ID_CSG_ADD_ROOMS                32809
#define ID_CSG_ADD_MATERIAL             32810
#define ID_CSG_REMOVE_MATERIAL          32811
#define ID_CSG_SPLIT_SECTORS            32813
#define ID_CSG_DESTINATION              32814
#define ID_CSG_CANCEL                   32815
#define ID_GRID_ON_OFF                  32817
#define ID_VIEW_CSGTOOLS                32818
#define ID_SHOW_ORIENTATION             32820
#define ID_ZOOM_MORE                    32822
#define ID_ZOOM_LESS                    32823
#define ID_MOVE_RIGHT                   32824
#define ID_MOVE_LEFT                    32825
#define ID_MOVE_UP                      32826
#define ID_MOVE_DOWN                    32827
#define ID_TOP                          32828
#define ID_PROJECTION_TOP               32829
#define ID_PROJECTION_BOTTOM            32830
#define ID_PROJECTION_LEFT              32831
#define ID_PROJECTION_RIGHT             32832
#define ID_PROJECTION_FRONT             32833
#define ID_PROJECTION_BACK              32834
#define ID_PROJECTION_ISOMETRIC         32835
#define ID_IMPORT_LWO                   32837
#define ID_MEASUREMENT_LENT             32838
#define ID_MEASUREMENT_TAPE             32839
#define ID_FRAME_RATE                   32840
#define ID_BUFFER01                     32841
#define ID_BUFFER02                     32842
#define ID_BUFFER03                     32843
#define ID_BUFFER04                     32844
#define ID_BUFFER05                     32845
#define ID_BUFFER06                     32846
#define ID_BUFFER07                     32847
#define ID_BUFFER08                     32848
#define ID_BUFFER09                     32849
#define ID_BUFFER10                     32850
#define ID_EDIT_BUFFER01                32851
#define ID_EDIT_BUFFER02                32852
#define ID_EDIT_BUFFER03                32853
#define ID_EDIT_BUFFER04                32854
#define ID_EDIT_BUFFER05                32855
#define ID_EDIT_BUFFER06                32856
#define ID_EDIT_BUFFER07                32857
#define ID_EDIT_BUFFER08                32858
#define ID_EDIT_BUFFER09                32859
#define ID_EDIT_BUFFER10                32860
#define ID_TOGGLE_MODES                 32862
#define ID_CIRCLE_MODES                 32863
#define ID_SELECT_BY_NAME               32864
#define ID_VIEW_PROJECTIONS_BAR         32865
#define ID_VIEW_SELECTON_BAR            32866
#define ID_BCG_SETTINGS                 32867
#define ID_VIEW_SELECTION               32868
#define ID_DELETE_ENTITY                32869
#define ID_DELETE_ENTITIES              32870
#define ID_COPY_TEXTURE                 32871
#define ID_TAKE_SS                      32872
#define ID_ENTITY_MODE                  32873
#define ID_POLYGON_MODE                 32874
#define ID_SECTOR_MODE                  32875
#define ID_REMOVE_MATERIAL              32876
#define ID_JOIN_SECTORS                 32877
#define ID_CSG_JOIN_SECTORS             32878
#define ID_TEST_GAME                    32879
#define ID_AUTO_SNAP                    32880
#define ID_CSG_ADD                      32881
#define ID_CSG_REMOVE                   32882
#define ID_SPLIT_POLYGONS               32883
#define ID_JOIN_POLYGONS                32884
#define ID_CSG_SPLIT_POLYGONS           32887
#define ID_CSG_JOIN_POLYGONS            32888
#define ID_AUTO_DELTA_PRIMITIVE         32890
#define ID_CLONE_CSG                    32891
#define ID_CREATE_PRIMITIVE_POPUP       32892
#define ID_BUTTON32893                  32893
#define ID_BUTTON32894                  32894
#define ID_BUTTON32895                  32895
#define ID_BUTTON32896                  32896
#define ID_BUTTON32899                  32899
#define ID_BUTTON32900                  32900
#define ID_BUTTON32901                  32901
#define ID_BUTTON32902                  32902
#define ID_BUTTON32905                  32905
#define ID_BUTTON32906                  32906
#define ID_BUTTON32908                  32908
#define ID_BUTTON32909                  32909
#define ID_BUTTON32910                  32910
#define ID_BUTTON32911                  32911
#define ID_BUTTON32912                  32912
#define ID_MEASURE_ON                   32914
#define ID_BUTTON32916                  32916
#define ID_BUTTON32917                  32917
#define ID_WORLD_SETTINGS               32918
#define ID_SHOW_PANE_INFO               32919
#define ID_BUTTON32920                  32920
#define ID_RESET_VIEWER                 32921
#define ID_CREATE_TEXTURE               32922
#define ID_CALCULATESHADOWS             32923
#define ID_EDIT_COPY_MAPPING            32924
#define ID_EDIT_PASTE_MAPPING           32925
#define ID_GLOBAL_SETTINGS              32926
#define ID_GAME_SETTINGS                32928
#define ID_HIDE_SELECTED_SECTORS        32930
#define ID_SHOW_ALL_SECTORS             32931
#define ID_HIDE_UNSELECTED_SECTORS      32932
#define ID_BUTTON32933                  32933
#define ID_BUTTON32934                  32934
#define ID_BUTTON32935                  32935
#define ID_RENDER_TARGETS               32936
#define ID_CALL_MODELER                 32938
#define ID_CALL_TEXMAKER                32939
#define ID_VIEW_SETTINGS_AND_UTILITY_BAR 32940
#define ID_VIEW_VIEW_TOOLS_BAR          32941
#define ID_GAME_PLAYER                  32943
#define ID_GAME_AUDIO                   32944
#define ID_GAME_VIDEO                   32945
#define ID_GAME_SELECT_PLAYER           32946
#define ID_SHADOWS_NONE                 32947
#define ID_SHADOWS_NO_FX                32948
#define ID_SHADOWS_WITH_EFFECTS         32949
#define ID_SHADOWS_CIRCLE               -32586
#define ID_SAVE_AS_VIRTUAL_TREE         32952
#define ID_BUTTON32953                  32953
#define ID_MOVE_ANCHORED                32954
#define ID_PASTE_TEXTURE                32957
#define ID_BUTTON32961                  32961
#define ID_BUTTON32963                  32963
#define ID_BUTTON32964                  32964
#define ID_CENTER_ENTITY                32966
#define ID_BROWSE_ENTITIES_MODE         32968
#define ID_NEXT_SELECTED_ENTITY         32970
#define ID_PREVIOUS_SELECTED_ENTITY     32973
#define ID_SCENE_STATISTICS             32974
#define ID_SCENE_RENDERING_TIME         32975
#define ID_RECREATE_TEXTURE             32976
#define ID_SELECT_ALL_IN_VOLUME         32977
#define ID_DROP_MARKER                  32979
#define ID_TEST_CONNECTIONS             32980
#define ID_JOIN_LAYERS                  32981
#define ID_ALIGN_VOLUME                 32983
#define ID_SHOW_TREE_SHORTCUTS          32984
#define ID_MENU_SHORTCUT01              32985
#define ID_MENU_SHORTCUT02              32986
#define ID_MENU_SHORTCUT03              32987
#define ID_MENU_SHORTCUT04              32988
#define ID_MENU_SHORTCUT05              32989
#define ID_MENU_SHORTCUT06              32990
#define ID_MENU_SHORTCUT07              32991
#define ID_MENU_SHORTCUT08              32992
#define ID_MENU_SHORTCUT09              32993
#define ID_MENU_SHORTCUT10              32994
#define ID_STORE_MENU_SHORTCUT01        32995
#define ID_TAKE_SCREEN_SHOOT            32996
#define ID_STORE_MENU_SHORTCUT02        32996
#define ID_STORE_MENU_SHORTCUT03        32997
#define ID_STORE_MENU_SHORTCUT04        32998
#define ID_STORE_MENU_SHORTCUT05        32999
#define ID_STORE_MENU_SHORTCUT06        33000
#define ID_STORE_MENU_SHORTCUT07        33001
#define ID_STORE_MENU_SHORTCUT08        33002
#define ID_STORE_MENU_SHORTCUT09        33003
#define ID_STORE_MENU_SHORTCUT10        33004
#define ID_SELECT_BY_CLASS              33005
#define ID_CURRENT_VIEW_PROPERTIES      33007
#define ID_AUTO_MIP_LEVELING            33008
#define ID_DECADIC_GRID                 33009
#define ID_ADD_MORE_PRECISE_MIP         33010
#define ID_ADD_ROUGHER_MIP_LEVEL        33011
#define ID_DELETE_MIP                   33012
#define ID_CONSOLE                      33015
#define ID_PREVIOUS_MIP                 33016
#define ID_NEXT_MIP                     33017
#define ID_PREVIOUS_MIP_BRUSH           33019
#define ID_NEXT_MIP_BRUSH               33020
#define ID_VIEW_MIP_TOOLS_BAR           33021
#define ID_WINDOW_CLOSE                 33022
#define ID_TOOL_RECREATE_TEXTURE        33024
#define ID_CROSSROAD_FOR_C              33025
#define ID_SET_AS_CSG_TARGET            33027
#define ID_RECREATE_CURRENT_TEXTURE     33028
#define ID_COPY_MAPPING                 33029
#define ID_KEY_COPY                     33029
#define ID_PASTE_MAPPING                33030
#define ID_KEY_PASTE                    33030
#define ID_CREATE_AND_ADD_TEXTURE       33031
#define ID_SELECT_POLYGONS              33033
#define ID_SELECT_POLYGONS_IN_SECTOR    33034
#define ID_SELECT_POLYGONS_IN_WORLD     33035
#define ID_FIND_TEXTURE                 33036
#define ID_SELECT_BY_TEXTURE_IN_SECTOR  33037
#define ID_SELECT_BY_TEXTURE_ADJACENT   33038
#define ID_SELECT_POLYGONS_BY_TEXTURE_IN_SELECTED_SECTORS 33039
#define ID_SELECT_POLYGONS_BY_TEXTURE_IN_WORLD 33040
#define ID_SELECT_BY_TEXTURE_IN_SELECTED_SECTORS 33041
#define ID_SELECT_BY_TEXTURE_IN_WORLD   33042
#define ID_CSG_JOIN_ALL_POLYGONS        33044
#define ID_SELECT_BY_COLOR_IN_SECTOR    33045
#define ID_MAXIMIZE_VIEW                33046
#define IDS_BROWSER_TOOL_TIP            33047
#define ID_TRIANGULARIZE                33048
#define ID_CREATE_TORUS                 33050
#define ID_STAIRCASE_PRIMITIVE          33051
#define ID_TERRAIN_PRIMITIVE            33052
#define ID_SPHERE_PRIMITIVE             33053
#define ID_CONUS_PRIMITIVE              33054
#define ID_TORUS_PRIMITIVE              33055
#define ID_POPOUP_CONUS                 33056
#define ID_POPUP_CONUS                  33057
#define ID_POPUP_TORUS                  33058
#define ID_POPUP_STAIRS                 33059
#define ID_POPUP_SPHERE                 33060
#define ID_POPUP_TERRAIN                33061
#define ID_TOGGLE_VIEW_PICTURES         33062
#define ID_SELECT_FOR_DROP_MARKER       33063
#define ID_LIGHT_ANIMATION              33064
#define ID_VIEW_FROM_ENTITY             33065
#define ID_SET_AS_CURRENT_TEXTURE       33066
#define ID_SELECT_LIGHTS                33067
#define ID_DISCARD_SHADOWS              33068
#define ID_COPY_SECTOR_AMBIENT          33069
#define ID_PASTE_SECTOR_AMBIENT         33070
#define ID_SELECT_ALL_POLYGONS          33071
#define ID_TOGGLE_LIGHT_SIZE            33072
#define ID_COPY_SECTORS                 33073
#define ID_PASTE_SECTORS                33074
#define ID_DELETE_SECTORS               33075
#define ID_CENTER_BCG_VIEWER            -32460
#define ID_CONVERT_WORLDS               33078
#define ID_TOGGLE_TOOL_TIPS             33079
#define ID_BUTTON33084                  33084
#define ID_TEXTURE_1                    33084
#define ID_BUTTON33085                  33085
#define ID_TEXTURE_2                    33085
#define ID_BUTTON33086                  33086
#define ID_TEXTURE_3                    33086
#define ID_BUTTON33087                  33087
#define ID_TOGGLE_SHADOWS               33088
#define ID_BUTTON33089                  33089
#define ID_BUTTON33093                  33093
#define ID_VIEW_SHADOWS_AND_TEXTURE_BAR 33094
#define ID_VIEW_SELECT_ENTITY_BAR       33095
#define ID_VIEW_WORK_BAR                33096
#define ID_PASTE_TEXTURE_AS_PROJECTED   33097
#define ID_EDIT_PASTE_AS_PROJECTED_MAPPING 33098
#define ID_MENU_COPY_MAPPING            33099
#define ID_MENU_PASTE_MAPPING           33100
#define ID_MENU_PASTE_AS_PROJECTED_MAPPING 33101
#define ID_KEY_PASTE_AS_PROJECTED       -32434
#define ID_BUTTON33104                  33104
#define ID_TEXTURE_MODE_1               33105
#define ID_TEXTURE_MODE_2               -32430
#define ID_TEXTURE_MODE_3               -32429
#define ID_SELECT_ALL_SECTORS           33108
#define ID_SELECT_ALL_ENTITIES          33109
#define ID_LAST_PRIMITIVE               33110
#define ID_COPY_COLOR                   33111
#define ID_PASTE_COLOR                  33112
#define ID_NUMERIC_ALPHA                33113
#define ID_CREATE_EMPTY_ROUGHER_MIP     33114
#define ID_CREATE_EMPTY_MORE_PRECISE_MIP 33117
#define ID_CLONE_TO_MORE_PRECISE_MIP    33118
#define ID_CLONE_TO_ROUGHER_MIP_LEVEL   33119
#define ID_LOAD_PRIMITIVE_SETTINGS      33120
#define ID_SAVE_PRIMITIVE_SETTINGS      33121
#define ID_SAVE_AS_PRIMITIVE_SETTINGS   33122
#define ID_EDIT_PASTE_ALTERNATIVE       33123
#define ID_CALCULATE_SHADOWS_ONOFF      33126
#define ID_BUTTON33127                  33127
#define ID_VIEW_SHADOWS                 33128
#define ID_VIEW_SHADOWS_ONOFF           33129
#define ID_BUTTON33130                  33130
#define ID_BUTTON33131                  33131
#define ID_BUTTON33132                  33132
#define ID_SELECT_ALL_ENTITIES_IN_WORLD 33134
#define ID_EDIT_PASTE_INTO_LAYER        33135
#define ID_SELECT_SECTORS_WITH_SAME_NAME 33136
#define ID_SELECT_SECTORS_ARROUND_ENTITY 33137
#define ID_CHANGE_CLASS                 33138
#define ID_CONVERT_CLASS                33139
#define ID_RESET_PRIMITIVE              33140
#define ID_MENU_PASTE_TEXTURE           33141
#define ID_MENU_COPY_TEXTURE            33142
#define ID_INSERT_VERTEX                33143
#define ID_DELETE_VERTEX                33144
#define ID_SELECT_TARGET                33145
#define ID_SAVE_PICTURES_FOR_ENVIRONMENT 33146
#define ID_SELECT_SECTOR                33147
#define ID_CSG_SELECT_SECTOR            33148
#define ID_UPDATE_LINKS                 33154
#define ID_MENU_ALIGN_MAPPING           33155
#define ID_MENU_ALIGN_MAPPING_U         -32380
#define ID_MENU_ALIGN_MAPPING_V         -32379
#define ID_MICRO_ICONS                  33158
#define ID_FALL_DOWN                    33159
#define ID_PREVIOUS                     -32375
#define ID_NEXT                         -32374
#define ID_EXCEPT_TEXTURES_IN_WORLD     33163
#define ID_SELECT_EXCEPT_TEXTURES       33164
#define ID_REMOVE_UNUSED_TEXTURES       33165
#define ID_ROTATE                       33166
#define ID_ROTATE_BACK                  -32369
#define ID_SELECT_VISIBLE_SECTORS       33168
#define ID_SNAPSHOT                     33170
#define ID_EDIT_COPY_ALTERNATIVE        33171
#define ID_STORE_POSITION01             33172
#define ID_STORE_POSITION02             33173
#define ID_RESTORE_POSITION01           33174
#define ID_RESTORE_POSITION02           33175
#define ID_MIRROR_AND_STRETCH           33176
#define ID_DESELECT_BY_ORIENTATION      33177
#define ID_ADD_TEXTURES_FROM_WORLD      33178
#define ID_FLIP_LAYER                   33179
#define ID_ROTATE_RIGHT                 33180
#define ID_ROTATE_LEFT                  33181
#define ID_ROTATE_UP                    33182
#define ID_ROTATE_DOWN                  33183
#define ID_SELECT_WHO_TARGETS           33184
#define ID_SELECT_INVALIDTRIS           33185
#define ID_FILTER_SELECTION             33186
#define ID_TEST_CONNECTIONS_BACK        33187
#define ID_SET_AS_DEFAULT               33188
#define ID_HELP_SHOWTIPOFTHEDAY         33189
#define ID_UPDATE_CLONES                33190
#define ID_EDIT_MIP_SWITCH_DISTANCE     33191
#define ID_SELECT_SECTORS_OTHER_SIDE    33192
#define ID_SELECT_LINKS_TO_SECTOR       33193
#define ID_REMAIN_SELECTEDBY_ORIENTATION 33194
#define ID_VERTEX_MODE                  33195
#define ID_REOPTIMIZE_BRUSHES           33196
#define ID_MERGE_POINTS                 33197
#define ID_MERGE_VERTICES               33198
#define ID_EXPORT_DISPLACE_MAP          33199
#define ID_CUT_MODE                     33200
#define ID_SELECT_ALL_TARGETS           33203
#define ID_SELECT_ALL_TARGETS_ON_CONTEXT 33205
#define ID_TEST_GAME_FULLSCREEN         33206
#define ID_SELECT_CLONES                33207
#define ID_SELECT_CLONES_ON_CONTEXT     33208
#define ID_FUNCTION                     33210
#define ID_SELECT_ALL_VERTICES          33212
#define ID_HIDE_UNSELECTED              33213
#define ID_HIDE_SELECTED                33214
#define ID_SHOW_ALL                     33215
#define ID_SELECT_OF_SAME_CLASS         33216
#define ID_SELECT_OF_SAME_CLASS_ON_CONTEXT 33217
#define ID_ALTERNATIVE_MOVING_MODE      33218
#define ID_VIEW_AXIS                    33219
#define ID_RE_TRIPLE                    33220
#define ID_SELECT_WHO_TARGETS_ON_CONTEXT 33222
#define ID_SELECT_SECTORS_ARROUND_ENTITY_ON_CONTEXT 33223
#define ID_DISCARD_ALL_TARGETS          33224
#define ID_CLEAR_ALL_TARGETS            33225
#define ID_EXPORT_TEXTURES              33226
#define ID_EXPORT_TEXTURE               33227
#define ID_CHECK_EDIT                   33228
#define ID_CHECK_ADD                    33229
#define ID_CHECK_DELETE                 33230
#define ID_UNDO_CHECK_OUT               33231
#define ID_SELECT_CSG_TARGET            33232
#define ID_REMAIN_SELECTEDBY_ORIENTATION_SINGLE 33233
#define ID_TRIANGULARIZE_POLYGON        33235
#define ID_BROWSER_HELP                 33236
#define ID_BROWSER_CONTEXT_HELP         33237
#define ID_ENTITY_CONTEXT_HELP          33238
#define ID_FIT_TEXTURE                  33239
#define ID_FIT_MAPPING                  33240
#define ID_AUTO_FIT_MAPPING             33241
#define ID_POPUP_AUTO_FIT_MAPPING       33242
#define ID_TRIANGULARIZE_SELECTION      33243
#define ID_POPUP_AUTO_FIT_MAPPING_SMALL 33245
#define ID_POPUP_AUTO_FIT_MAPPING_BOTH  33246
#define ID_RESET_ROTATION               33247
#define ID_RESET_OFFSET                 33248
#define ID_RESET_MAPPING_ROTATION       33249
#define ID_RESET_MAPPING_OFFSET         33250
#define ID_RESET_MAPPING_STRETCH        33251
#define ID_TOGGLE_ENTITY_NAMES          33252
#define ID_VIEW_VIEW_TOOLS_BAR2         33253
#define ID_CROSSROAD_FOR_L              33254
#define ID_VIEW_TARGET_TREE             33255
#define ID_SELECT_USING_TARGET_TREE     33256
#define ID_LT_EXPAND_ALL                33257
#define ID_LT_CONTRACT_BRANCH           33258
#define ID_LT_EXPAND_BRANCH             33259
#define ID_LT_CONTRACT_LEVEL            33260
#define ID_LT_EXPAND_LEVEL              33261
#define ID_LT_CONTRACT_ALL              33262
#define ID_LT_LEAVE_BRANCH              33263
#define ID_LT_LAST_LEVEL                33264
#define ID_TARGET_LIST                  33265
#define ID_TARGET_TREE                  33266
#define ID_UPDATE_BRUSHES               33267
#define ID_SELECT_BY_CLASS_IMPORTANT    -32268
#define ID_TOGGLE_VISIBILITY_TWEAKS     33269
#define ID_SWAP_LAYERS_12               33270
#define ID_SWAP_LAYERS_23               33271
#define ID_IMPORT_3D_SERIES             33272
#define ID_IMPORT_3D_OBJECT             33273
#define ID_INSERT_3D_OBJECT             33274
#define ID_EXPORT_3D_OBJECT             33275
#define ID_CROSSROAD_FOR_N              33276
#define ID_POPUP_VTX_NUMERIC            33277
#define ID_POPUP_VTX_ALLIGN             33278
#define ID_POPUP_VTX_FILTER             33279
#define ID_SELECT_DESCENDANTS           33280
#define ID_CROSSROAD_FOR_CTRL_F         -32255
#define ID_ENABLE_VISIBILITY_TWEAKS     33284
#define ID_RESTORE_POSITION03           -32251
#define ID_STORE_POSITION03             -32250
#define ID_STORE_POSITION04             -32249
#define ID_RESTORE_POSITION04           -32248
#define ID_IMPORT_VIRTUAL_TREE          33289
#define ID_EXPORT_VIRTUAL_TREE          33290
#define ID_DUMP_VT                      33291
#define ID_TARGET_ENTITY                33293
#define ID_ROTATE_TO_TARGET_ORIGIN      33294
#define ID_ROTATE_TO_TARGET_CENTER      33295
#define ID_COPY_PLACEMENT               33296
#define ID_PASTE_PLACEMENT              33297
#define ID_COPY_POSITION                33298
#define ID_PASTE_POSITION               33299
#define ID_COPY_ORIENTATION             33300
#define ID_PASTE_ORIENTATION            33301
#define ID_ALIGN_X                      33302
#define ID_ALIGN_Y                      33303
#define ID_ALIGN_Z                      33304
#define ID_ALIGN_H                      33305
#define ID_ALIGN_P                      33306
#define ID_ALIGN_B                      33307
#define ID_AUTOTEXTURIZE_MIPS           33309
#define ID_RANDOM_OFFSET_U              33310
#define ID_RANDOM_OFFSET_V              33311
#define ID_STRETCH_RELATIVE_OFFSET      33312
#define ID_DESELECT_HIDDEN              33313
#define ID_SELECT_HIDDEN                33314
#define ID_SECTORS_TO_BRUSH             33315
#define ID_POLYGONS_TO_BRUSH            33316
#define ID_CLONE_POLYGONS               33317
#define ID_DELETE_POLYGONS              33318
#define ID_KEY_U                        33319
#define ID_KEY_D                        33320
#define ID_FLIP_POLYGON                 33322
#define ID_CREATE_POLYGON               33323
#define ID_TERRAIN_MODE                 -32211
#define ID_SELECT_TERRAIN_ENTITY        33326
#define ID_RECALCULATE_TERRAIN_SHADOWS  33327
#define ID_OPTIMIZE_TERRAIN             33328
#define ID_KEY_B                        -32207
#define ID_KEY_M                        -32206
#define ID_KEY_BACKSLASH                -32204
#define ID_SELECT_BRUSH                 33333
#define ID_SELECT_LAYER                 33334
#define ID_PICK_LAYER                   33335
#define ID_TOGGLE_EDIT_MODE             33336
#define ID_ALTITUDE_EDIT_MODE           33338
#define ID_LAYER_TEXTURE_EDIT_MODE      33339
#define ID_CHANGE_TERRAIN_SIZE          33340
#define ID_EXPORT_HEIGHTMAP             33341
#define ID_IMPORT_HEIGHTMAP             33342
#define ID_LAYER_OPTIONS                33343
#define ID_SELECT_TERRAIN               33344
#define ID_TBRUSH_HEIGHT                33345
#define ID_TBRUSH_ALTITUDE              33346
#define ID_TBRUSH_SMOOTH                33347
#define ID_TBRUSH_EQUILAZE              33348
#define ID_TBRUSH_ERASE                 33349
#define ID_TBRUSH_UNERASE               33350
#define ID_TBRUSH_FLATTEN               33351
#define ID_TBRUSH_NOISE                 33352
#define ID_VIEW_HEIGHTMAP               33353
#define ID_IMPORT_HEIGHTMAP16           33354
#define ID_EXPORT_HEIGHTMAP16           33355
#define ID_CHANGE_HIEGHTMAP_SIZE        33356
#define ID_CHANGE_HEIGHTMAP_SIZE        33357
#define ID_TEXTURE_MODE_4               -32178
#define ID_TEXTURE_MODE_5               -32177
#define ID_TEXTURE_MODE_6               -32176
#define ID_TEXTURE_MODE_7               -32175
#define ID_TEXTURE_MODE_8               -32174
#define ID_TEXTURE_MODE_9               -32173
#define ID_TEXTURE_MODE_10              -32172
#define ID_KEY_O                        -32171
#define ID_EQUILIZE                     33366
#define ID_POSTERIZE                    33367
#define ID_KEY_G                        -32168
#define ID_KEY_Y                        -32167
#define ID_TE_SMOOTH                    33370
#define ID_APPLY_FILTER                 33371
#define ID_EDIT_TERRAIN_PREFS           -32164
#define ID_KEY_CTRL_G                   -32163
#define ID_KEY_CTRL_SHIFT_E             -32162
#define ID_KEY_CTRL_SHIFT_G             -32161
#define ID_TERRAIN_LAYER_OPTIONS        -32160
#define ID_KEY_CTRL_SHIFT_K             -32159
#define ID_APPLY_CONTINOUS_NOISE        33378
#define ID_APPLY_MINIMUM                33379
#define ID_APPLY_MAXIMUM                33380
#define ID_APPLY_FLATTEN                33381
#define ID_APPLY_POSTERIZE              33382
#define ID_OPTIMIZE_LAYERS              33383
#define ID_TBRUSH_FILTER                33384
#define ID_TBRUSH_MINIMUM               33385
#define ID_TBRUSH_MAXIMUM               33386
#define ID_TBRUSH_POSTERIZE             33387
#define ID_TBRUSH_CONTINOUS_NOISE       33388
#define ID_TERRAIN_PROPERTIES           33389
#define ID_EXPORT_PLACEMENTS            33391
#define ID_EXPORT_ENTITIES              33392
#define ID_ACCELERATOR33402             33402
#define ID_FILE_OPEN_NF 33403
#define ID_FILE_OPEN_ABZ 33404
#define ID_FILE_OPEN_LASTCHAOS 33405
#define ID_TEXTURE_5                    33406
#define ID_TEXTURE_4                    33407
#define IDW_TOOLBAR_MAIN                0xE800
#define IDW_STATUSBAR                   0xE801
#define IDW_TOOLBAR_CSG                 0xE802
#define IDW_TOOLBAR_WORK                0xE803
#define IDW_TOOLBAR_PROJECTIONS         0xE804
#define IDW_TOOLBAR_SETTINGS_AND_UTILITY 0xE805
#define IDW_TOOLBAR_VIEW_TOOLS          0xE806
#define IDW_TOOLBAR_MIP                 0xE807
#define ID_VIEW_BROWSEDIALOGBAR         0xE808
#define ID_VIEW_PROPERTYCOMBO           0xE809
#define IDW_TOOLBAR_SHADOWS_AND_TEXTURE 0xE80A
#define IDW_TOOLBAR_SELECT_ENTITY       0xE80B
#define IDW_TOOLBAR_VIEW_TOOLS2         0xE80C
#define IDW_SHOW_TEXTURE                61216
#define IDW_FBM_PREVIEW                 61217
#define ID_STATIC                       65535


// Next default values for new objects
// 
#ifdef APSTUDIO_INVOKED
#ifndef APSTUDIO_READONLY_SYMBOLS
#define _APS_3D_CONTROLS                     1
#define _APS_NEXT_RESOURCE_VALUE        255
#define _APS_NEXT_COMMAND_VALUE         33408
#define _APS_NEXT_CONTROL_VALUE         1264
#define _APS_NEXT_SYMED_VALUE           111
#endif
#endif
